package com.practicas.practica1;

import android.content.Context;
import android.widget.Toast;

public class cHuman_Cyborg_Terminator extends cHuman_Cyborg 
{
	public cGame_Commons.WEAPON_CLASS weapon_class;
	public cGame_Commons.ARMOUR_TYPE armour_type;
	public cGame_Item[] inventory;
	
	public cGame_Item slot1=null;
	public cGame_Item slot2=null;
	
	
	
	
	public cHuman_Cyborg_Terminator(cHuman tp, String tTRADECODE,cGame_Commons.ARMOUR_TYPE tarmour_type,cGame_Commons.WEAPON_CLASS tweapon_class,int tmax_inventory) {
		super(tp, tTRADECODE);
		weapon_class=tweapon_class;
		armour_type=tarmour_type;
		inventory = new cGame_Item[tmax_inventory];
		
		switch(armour_type)
		{
			case LEVEL_1:
				// TODO 
			break;
			case LEVEL_2:
				
			break;	
			case LEVEL_3:
				
			break;
			default:
		}
		
		switch(weapon_class)
		{
			case BLASTER:
				// TODO 
			break;
			case CANNON:
				// TODO 
			break;
			
			default:
		}
		
		
	}

	@Override
	public void getInfo(Context tActivity)
	{		
		Toast.makeText(tActivity,"Terminator :" + " - " + this.p.name ,Toast.LENGTH_LONG).show();
	}
	
}
